<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-iso-icon-browser.qdoc -->
  <title>Browsing ISO 7000 Icons | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Browsing ISO 7000 Icons</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qmldesigner-pathview-editor.html" />
  <link rel="next" href="creator-quick-ui-forms.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qmldesigner-pathview-editor.html">Editing PathView Properties</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-quick-ui-forms.html">Qt Quick UI Forms</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#using-iso-icons-in-applications">Using ISO Icons in Applications</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Browsing ISO 7000 Icons</h1>
<span class="subtitle"></span>
<!-- $$$qtquick-iso-icon-browser.html-description -->
<div class="descr"> <a name="details"></a>
<p><a title="Available under certain Qt licenses."><img src="images/commercial.png"/></a></p>
<p>You can add icons from an ISO 7000 icon library that is installed with Qt Creator to Qt Quick applications (commercial only). You can use the <b>ISO Icon Browser</b> to add a <a href="http://doc.qt.io/qt-5/qframe.html#picture">Picture</a> type and select the icon to use for the type. You can change the default color of the icon.</p>
<p class="centerAlign"><img src="images/qtcreator-iso-icon-browser.png" alt="" /></p><a name="using-iso-icons-in-applications"></a>
<h2 id="using-iso-icons-in-applications">Using ISO Icons in Applications</h2>
<ol class="1" type="1"><li>Create a new Qt Quick Application or open an application in Qt Creator.</li>
<li>Open the Qt Quick UI form in the <b>Design</b> mode.</li>
<li>In the <b>Library</b>, select <b>Imports</b> &gt; <b>Add Import</b> &gt; <b><a href="http://doc.qt.io/qt-5/qtquick-qmlmodule.html">QtQuick</a>.Extras</b> to import the <a href="http://doc.qt.io/qt-5/qtquickextras-index.html">Qt Quick Extras</a> module.</li>
<li>Drag and drop a <b>Picture</b> element from the library to the canvas.</li>
<li>Right-click the picture element and select <b>Choose Icon</b> to open the <b>ISO Icon Browser</b>.</li>
<li>To find icons, select a criterion for filtering icons and enter a search string.</li>
<li>Select an icon in the list, and then select <b>OK</b> to add the icon.</li>
<li>To view the icon you added, press <b>Ctrl+R</b> (or <b>Cmd+R</b>) to run the application.</li>
<li>To adjust the icon color, select the icon on the canvas, and then select <b>Edit Color</b> in the context menu.</li>
</ol>
<p>Qt Creator generates a Qt resource file called <code>iso-icons.qrc</code> that adds the icons as a part of your project for delivery with your application.</p>
</div>
<!-- @@@qtquick-iso-icon-browser.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qmldesigner-pathview-editor.html">Editing PathView Properties</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-quick-ui-forms.html">Qt Quick UI Forms</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
